# TdApi.InputIdentityDocument (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputIdentityDocument

Package it.tdlight.jni

# Class TdApi.InputIdentityDocument

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputIdentityDocument

Enclosing class:
  TdApi

    public static class TdApi.InputIdentityDocument
    extends TdApi.Object

An identity document to be saved to Telegram Passport.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.Date` | `expiryDate` | Document expiry date; pass null if not applicable.
`TdApi.InputFile` | `frontSide` | Front side of the document.
`String` | `number` | Document number; 1-24 characters.
`TdApi.InputFile` | `reverseSide` | Reverse side of the document; only for driver license and identity card; pass null otherwise.
`TdApi.InputFile` | `selfie` | Selfie with the document; pass null if unavailable.
`TdApi.InputFile[]` | `translation` | List of files containing a certified English translation of the document.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputIdentityDocument()` | An identity document to be saved to Telegram Passport.
`InputIdentityDocument​(DataInput input)` |
`InputIdentityDocument​(String number, TdApi.Date expiryDate, TdApi.InputFile frontSide, TdApi.InputFile reverseSide, TdApi.InputFile selfie, TdApi.InputFile[] translation)` | An identity document to be saved to Telegram Passport.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### number

public String number
Document number; 1-24 characters.

### expiryDate

public TdApi.Date expiryDate
Document expiry date; pass null if not applicable.

### frontSide

public TdApi.InputFile frontSide
Front side of the document.

### reverseSide

public TdApi.InputFile reverseSide
Reverse side of the document; only for driver license and identity card; pass null otherwise.

### selfie

public TdApi.InputFile selfie
Selfie with the document; pass null if unavailable.

### translation

public TdApi.InputFile[] translation
List of files containing a certified English translation of the document.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputIdentityDocument

public InputIdentityDocument()
An identity document to be saved to Telegram Passport.

### InputIdentityDocument

public InputIdentityDocument​(String number, TdApi.Date expiryDate, TdApi.InputFile frontSide, TdApi.InputFile reverseSide, TdApi.InputFile selfie, TdApi.InputFile[] translation)
An identity document to be saved to Telegram Passport.

Parameters:
  `number` - String Document number; 1-24 characters.
  `expiryDate` - Date Document expiry date; pass null if not applicable.
  `frontSide` - InputFile Front side of the document.
  `reverseSide` - InputFile Reverse side of the document; only for driver license and identity card; pass null otherwise.
  `selfie` - InputFile Selfie with the document; pass null if unavailable.
  `translation` - InputFile[] List of files containing a certified English translation of the document.

### InputIdentityDocument

public InputIdentityDocument​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`